Bug 890771 (edje)

Summary: Review Request: edje - Abstract GUI layout and animation object library
Product: [Fedora] Fedora Reporter: Rahul Sundaram <metherid>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: admiller, dan.mashal, emmanuel, i, misc, notting, rdieter
Target Milestone: ---Flags: rdieter: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: edje-1.7.8-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-29 18:19:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 890769, 954132, 975177    
Bug Blocks: 891268, 891272, 891282, 891284, 891295    

Description Rahul Sundaram 2012-12-29 16:44:59 EST
Spec URL: http://sundaram.fedorapeople.org/packages/edje.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/edje-1.7.4-1.fc18.src.rpm
Description: 
Abstract GUI layout and animation object library.
Fedora Account System Username:sundaram
Comment 1 Michael Scherer 2012-12-30 09:35:02 EST
Need embroyo to compile :/
Comment 2 Dan Mashal 2013-04-18 07:21:28 EDT
Working on eina and embroyo
Comment 3 Dan Mashal 2013-06-07 05:49:57 EDT
embryo is in rawhide. Please continue the review.
Comment 4 Dan Mashal 2013-06-17 19:27:27 EDT
Spec URL: http://vicodan.fedorapeople.org/edje.spec
SRPM URL: http://vicodan.fedorapeople.org/edje-1.7.7-1.fc19.src.rpm
Description: 
Abstract GUI layout and animation object library.

Updated spec / srpm to 1.7.7
Comment 5 Dan Mashal 2013-06-20 07:00:22 EDT
Successful koji scratch build.

https://koji.fedoraproject.org/koji/taskinfo?taskID=5523527
Comment 6 Adam Miller 2013-06-20 16:26:06 EDT
Install issue with rawhide.

INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/admiller/reviews/890771-edje/results/edje-1.7.7-1.fc20.x86_64.rpm /ho
me/admiller/reviews/890771-edje/results/edje-devel-1.7.7-1.fc20.x86_64.rpm /home/admiller/reviews/890771
-edje/results/edje-utils-1.7.7-1.fc20.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/admi
ller/reviews/890771-edje/results/edje-1.7.7-1.fc20.x86_64.rpm', '/home/admiller/reviews/890771-edje/resu
lts/edje-devel-1.7.7-1.fc20.x86_64.rpm', '/home/admiller/reviews/890771-edje/results/edje-utils-1.7.7-1.
fc20.x86_64.rpm', '--setopt=tsflags=nocontexts']
Error: Package: edje-devel-1.7.7-1.fc20.x86_64 (/edje-devel-1.7.7-1.fc20.x86_64)
           Requires: lua-devel < 5.2
           Installed: lua-devel-5.2.2-1.fc20.x86_64 (@fedora)
               lua-devel = 5.2.2-1.fc20
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 7 Michael Scherer 2013-06-20 17:44:43 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 19394560 bytes in 419 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

- COPYING is installed twice when edge-utils is pulled in, no need to, so
  the main part of %doc on edge-utils can be dropped

- some requires on -devel are redundant with automated Requires on pkgconfig,
  better drop them as this will be handled only rpm, so never out of date

- Package must own all directories that it creates.
  Note: Directories without known owners: /usr/share/mime,
  /usr/share/edje/examples, /usr/share/mime/packages, /usr/share/edje
 
- Package should not use obsolete m4 macros, please warn upstream (not blocking)
  Note: Some obsoleted macros found, see the attachment.
  See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

- license tag is wrong, the epp binary is GPLv2, so this should be reflected
  in a comment ( breakdown of the license information )

- Test suite is not run, it seems there is a src/tests directory, so test should
  be run I guess

- update-mime-database is invoked as required
  Note: mimeinfo files in: edje
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

- Fully versioned dependency in subpackages if applicable.
  Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in edje-utils
 
===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated". 78 files have unknown license. Detailed output of
     licensecheck in
     /home/misc/checkout/git/FedoraReview/890771-edje/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/edje, /usr/share/edje/examples
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/mime,
     /usr/share/edje/examples, /usr/share/mime/packages, /usr/share/edje
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code:
     /home/misc/checkout/git/FedoraReview/890771-edje/upstream-
     unpacked/Source0/edje-1.7.7/data/include
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: update-mime-database is invoked as required
     Note: mimeinfo files in: edje
     See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in edje-utils
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 20346880 bytes in /usr/share 30720
     edje-utils-1.7.7-1.fc20.x86_64.rpm 51200 edje-1.7.7-1.fc20.x86_64.rpm
     20264960 edje-devel-1.7.7-1.fc20.x86_64.rpm
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/misc/checkout/git/FedoraReview/890771-edje/results/edje-1.7.7-1.fc20.x86_64.rpm /home/misc/checkout/git/FedoraReview/890771-edje/results/edje-devel-1.7.7-1.fc20.x86_64.rpm /home/misc/checkout/git/FedoraReview/890771-edje/results/edje-utils-1.7.7-1.fc20.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/misc/checkout/git/FedoraReview/890771-edje/results/edje-1.7.7-1.fc20.x86_64.rpm', '/home/misc/checkout/git/FedoraReview/890771-edje/results/edje-devel-1.7.7-1.fc20.x86_64.rpm', '/home/misc/checkout/git/FedoraReview/890771-edje/results/edje-utils-1.7.7-1.fc20.x86_64.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : edje-devel-1.7.7-1.fc20.x86_64 (/edje-devel-1.7.7-1.fc20.x86_64)
             Requiert : lua-devel < 5.2
             Installé  : lua-devel-5.2.2-1.fc20.x86_64 (@fedora)
                 lua-devel = 5.2.2-1.fc20
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: edje-1.7.7-1.fc20.x86_64.rpm
          edje-devel-1.7.7-1.fc20.x86_64.rpm
          edje-utils-1.7.7-1.fc20.x86_64.rpm
edje.x86_64: W: no-manual-page-for-binary edje_recc
edje.x86_64: W: no-manual-page-for-binary edje_cc
edje.x86_64: W: no-manual-page-for-binary edje_inspector
edje.x86_64: W: no-manual-page-for-binary edje_decc
edje.x86_64: W: no-manual-page-for-binary edje_player
edje.x86_64: W: no-manual-page-for-binary edje_external_inspector
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/Edje.h.3.gz 4449: warning: macro `Swallows'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/Edje.h.3.gz 6269: warning: macro `emission'' not defined (possibly missing space after `em')
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/Edje.h.3.gz 6271: warning: macro `source'' not defined (possibly missing space after `so')
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/edje_text.c.3.gz 13: cannot use character `8' as a starting delimiter
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/edje_text.c.3.gz 40: cannot use character `8' as a starting delimiter
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 12: warning: macro `+'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 14: warning: macro `-'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 16: warning: macro `='' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 18: warning: macro `f'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 20: warning: macro `F'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 22: warning: macro `t'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 24: warning: macro `T'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 26: warning: macro `s'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 28: warning: macro `p'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 30: warning: macro `a'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/tutorial_edje_animations.3.gz 32: warning: macro `A'' not defined
edje-devel.x86_64: W: manual-page-warning /usr/share/man/man3/edje_util.c.3.gz 2462: warning: macro `Swallows'' not defined
edje-utils.x86_64: W: no-manual-page-for-binary inkscape2edc
3 packages and 0 specfiles checked; 0 errors, 24 warnings.




Requires
--------
edje (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libecore.so.1()(64bit)
    libecore_evas.so.1()(64bit)
    libecore_file.so.1()(64bit)
    libecore_imf.so.1()(64bit)
    libecore_imf_evas.so.1()(64bit)
    libecore_input.so.1()(64bit)
    libedje.so.1()(64bit)
    libeet.so.1()(64bit)
    libeina.so.1()(64bit)
    libembryo.so.1()(64bit)
    libevas.so.1()(64bit)
    liblua-5.2.so()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)

edje-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ecore-devel
    edje(x86-64)
    eet-devel
    evas-devel
    libedje.so.1()(64bit)
    libeina-devel
    lua-devel
    pkgconfig
    pkgconfig(ecore)
    pkgconfig(ecore-evas)
    pkgconfig(ecore-imf)
    pkgconfig(ecore-imf-evas)
    pkgconfig(eet)
    pkgconfig(eina)
    pkgconfig(embryo)
    pkgconfig(evas)
    pkgconfig(lua)
    pth-devel
    zlib-devel

edje-utils (rpmlib, GLIBC filtered):
    /usr/bin/env
    edje
    inkscape
    libc.so.6()(64bit)
    python
    rtld(GNU_HASH)



Provides
--------
edje:
    edje
    edje(x86-64)
    libedje.so.1()(64bit)

edje-devel:
    edje-devel
    edje-devel(x86-64)
    pkgconfig(edje)

edje-utils:
    edje-utils
    edje-utils(x86-64)



Source checksums
----------------
http://download.enlightenment.org/releases/edje-1.7.7.tar.bz2 :
  CHECKSUM(SHA256) this package     : 8be2195bb912a56995a0627a9a889fb343085d462e17cfaea7699b12b50080f0
  CHECKSUM(SHA256) upstream package : 8be2195bb912a56995a0627a9a889fb343085d462e17cfaea7699b12b50080f0


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: edje-1.7.7/configure.ac:40


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 890771
Comment 8 Dan Mashal 2013-06-26 04:28:15 EDT
Spec URL: http://vicodan.fedorapeople.org/edje.spec
SRPM URL: http://vicodan.fedorapeople.org/edje-1.7.7-2.fc19.src.rpm
Description: 
Abstract GUI layout and animation object library.

Added mime db scriptlets.
Owned datadir/edje

Will submit patches to upstream regarding incorrect FSF address.

Not sure why mock build fails. Works fine on Koji.

Not sure about m4, didn't see anything on the link, will look into it further. 

Large datadir folder.. looks like lots of docs, disabled them for now and will split the package.

$ rpmlint edje.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint edje-1.7.7-2.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[dan@Fedora19 x86_64]$ rpmlint edje-*
edje.x86_64: W: no-manual-page-for-binary edje_recc
edje.x86_64: W: no-manual-page-for-binary edje_cc
edje.x86_64: W: no-manual-page-for-binary edje_inspector
edje.x86_64: W: no-manual-page-for-binary edje_decc
edje.x86_64: W: no-manual-page-for-binary edje_player
edje.x86_64: W: no-manual-page-for-binary edje_external_inspector
edje-utils.x86_64: W: no-manual-page-for-binary inkscape2edc
3 packages and 0 specfiles checked; 0 errors, 7 warnings.


https://koji.fedoraproject.org/koji/taskinfo?taskID=5545300
Comment 9 Michael Scherer 2013-07-03 03:54:50 EDT
Sorry for the delay 

- the requires are stil redundant ( ie eval-devel among others )

- /usr/share/mime is still unowned

- there is no fully versioned dependency in subpackages for edje-utils

- still not note for the make test

- License tag is still wrong

- package is likely still not installable in rawhide 

So NACK for the time being.
Comment 10 Dan Mashal 2013-07-28 09:43:33 EDT
(In reply to Michael Scherer from comment #9)
> Sorry for the delay 
> 
> - the requires are stil redundant ( ie eval-devel among others )

Tried to minimize this.

> 
> - /usr/share/mime is still unowned
 
Hopefully fixed

> - there is no fully versioned dependency in subpackages for edje-utils

Any advice?

> 
> - still not note for the make test

Elaborate?

> - License tag is still wrong

Fixed.

> - package is likely still not installable in rawhide 

Should be now.

Will be uploading new srpm/spec shortly.
Comment 12 Christopher Meng 2013-08-15 04:59:49 EDT
Can we make a separate doc package?
Comment 13 Dan Mashal 2013-08-16 08:03:35 EDT
Spec URL: http://vicodan.fedorapeople.org/edje.spec
SRPM URL: http://vicodan.fedorapeople.org/edje-1.7.7-4.fc20.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=5821479

tested working on rawhide. Please finish the review, misc.
Comment 14 Dan Mashal 2013-08-17 05:12:40 EDT
(In reply to Christopher Meng from comment #12)
> Can we make a separate doc package?

In due time.
Comment 15 Dan Mashal 2013-08-17 05:13:10 EDT
Having Wolfgang review this.
Comment 16 Dan Mashal 2013-08-17 05:40:19 EDT
Spec URL: http://vicodan.fedorapeople.org/edje.spec
SRPM URL: http://vicodan.fedorapeople.org/edje-1.7.7-4.fc20.src.rpm

[dan@Fedora SRPMS]$ koji build --scratch rawhide ./edje-1.7.7-4.fc20.src.rpm 
Uploading srpm: ./edje-1.7.7-4.fc20.src.rpm
[====================================] 100% 00:00:01   1.05 MiB 540.49 KiB/sec
Created task: 5824198
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5824198
Watching tasks (this may be safely interrupted)...
5824198 build (rawhide, edje-1.7.7-4.fc20.src.rpm): open (arm02-builder21.arm.fedoraproject.org)
  5824199 buildArch (edje-1.7.7-4.fc20.src.rpm, armv7hl): open (arm02-builder00.arm.fedoraproject.org)
  5824201 buildArch (edje-1.7.7-4.fc20.src.rpm, i686): open (buildvm-07.phx2.fedoraproject.org)
  5824200 buildArch (edje-1.7.7-4.fc20.src.rpm, x86_64): open (buildvm-24.phx2.fedoraproject.org)
  5824200 buildArch (edje-1.7.7-4.fc20.src.rpm, x86_64): open (buildvm-24.phx2.fedoraproject.org) -> closed
  0 free  3 open  1 done  0 failed
  5824201 buildArch (edje-1.7.7-4.fc20.src.rpm, i686): open (buildvm-07.phx2.fedoraproject.org) -> closed
  0 free  2 open  2 done  0 failed
  5824199 buildArch (edje-1.7.7-4.fc20.src.rpm, armv7hl): open (arm02-builder00.arm.fedoraproject.org) -> closed
  0 free  1 open  3 done  0 failed
5824198 build (rawhide, edje-1.7.7-4.fc20.src.rpm): open (arm02-builder21.arm.fedoraproject.org) -> closed
  0 free  0 open  4 done  0 failed

5824198 build (rawhide, edje-1.7.7-4.fc20.src.rpm) completed successfully
[dan@Fedora SRPMS]$
Comment 17 Wolfgang Ulbrich 2013-08-17 07:58:14 EDT
1. Can you explain why you use BuildRequires: mate-common  ?

2. Lisence check said GPLv2+, why License:        GPLv2+ and BSD ?
I didn't find any section in COPYING about BSD.

3. Why is /usr/share/edje/examples directory in -devel subpackage?
Also including %doc AUTHORS COPYING README again in -devel sounds a bit worse.

4.
GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cppalloc.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cpperror.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cppexp.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cpphash.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cpplib.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cpplib.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/src/bin/epp/cppmain.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/edje-1.7.7/utils/gimp-edje-export.py

Please notice upstream about incorrect FSF address.

5.
Rpmlint (installed packages)
----------------------------
# rpmlint edje edje-devel edje-utils
edje.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libedje.so.1.7.7 /lib64/librt.so.1
edje.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libedje.so.1.7.7 /lib64/libdl.so.2
edje.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libedje.so.1.7.7 /lib64/libm.so.6
edje.x86_64: W: no-manual-page-for-binary edje_recc
edje.x86_64: W: no-manual-page-for-binary edje_cc
edje.x86_64: W: no-manual-page-for-binary edje_inspector
edje.x86_64: W: no-manual-page-for-binary edje_decc
edje.x86_64: W: no-manual-page-for-binary edje_watch
edje.x86_64: W: no-manual-page-for-binary edje_player
edje.x86_64: W: no-manual-page-for-binary edje_external_inspector
edje-utils.x86_64: W: no-manual-page-for-binary inkscape2edc
3 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'

unused-direct-shlib-dependency Warnings can be easy fixed.
https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

Use after the configure call
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

I hope you agree with me to fix as much as posible in a review.
Comment 18 Wolfgang Ulbrich 2013-08-17 08:10:26 EDT
Is there a reason for commenting out mandir?
I suggest to create -doc noarch package if the size is to huge.
Comment 19 Rex Dieter 2013-08-17 15:57:06 EDT
wolfgang asked me to help out with this one, will oblige.
Comment 20 Rex Dieter 2013-08-17 16:20:16 EDT
offhand, some items i see:

1.  SHOULD omit duplicated
%doc AUTHORS COPYING README
from -devel, -utils subpkgs

2.  SHOULD drop not-needed
BuildRequires: mate-common

3.  MUST up BuildRequires for some deps, including:
BuildRequires: embryo >= %{version}
BuildRequires: ecore-devel >= %{version}
BuildRequires: eet-devel >= %{version}
BuildRequires: evas-devel >= %{version}
BuildRequires: libeina-devel >= %{version}

4.  MUST tighten -utils subpkg dep,
Requires: edje = %{version}
to
Requires: %{name}%{?_isa} = %{version}-%{release}


Digging deeper now...
Comment 21 Rex Dieter 2013-08-17 17:18:29 EDT
OK, was seeing build failure, but that was ecore's fault, fixed in ecore-1.7.7-3+
Comment 22 Dan Mashal 2013-08-17 18:52:41 EDT
Updated thanks to Rex

Spec URL: http://vicodan.fedorapeople.org/edje.spec
SRPM URL: http://vicodan.fedorapeople.org/edje-1.7.7-5.fc20.src.rpm
Description: 
Abstract GUI layout and animation object library.
Comment 23 Rex Dieter 2013-08-17 19:03:48 EDT
Thanks, the rest looks good.  lastly

5.  MUST fix license to
License: GPLv2+
I don't see any BSD code (do you?  if so, where?)

but, that's small, can be fixed post import.


APPROVED
Comment 24 Dan Mashal 2013-08-17 19:07:02 EDT
New Package SCM Request
=======================
Package Name: edje
Short Description: GUI layout and animation object library.
Owners: vicodan sundaram spot
Branches: f19
Comment 25 Dan Mashal 2013-08-18 15:17:10 EDT
Package Change Request
======================
Package Name: edje
New Branches: F19
Owners: vicodan sundaram spot
Comment 26 Kevin Fenzi 2013-08-18 15:22:58 EDT
Git done (by process-git-requests).
Comment 27 Fedora Update System 2013-08-19 17:01:52 EDT
edje-1.7.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/edje-1.7.8-1.fc19
Comment 28 Fedora Update System 2013-08-20 19:58:58 EDT
edje-1.7.8-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 29 Fedora Update System 2013-08-29 18:19:53 EDT
edje-1.7.8-1.fc19 has been pushed to the Fedora 19 stable repository.